;
; Eagle 200 Controller Upload All program script 
; Customer bundle script
; Include VP/SP2/PP2 code
;;

_QC "WHOAREYOU^M"
;_CN "EAGLE200 CONTROLLER" _CN "EAGLE200 CONTROLLER" _DM "Unit is NOT an Eagle200 Controller. Exiting script"
;_CN "EAGLE200 CONTROLLER" _CN "EAGLE200 CONTROLLER" _FI

_SC "loadr^M"

; Wait for 10 seconds for BootBurner to get ready
_DY 2000

; Check communications
_TC "^M"

;**********************************
;*  Eagle 200 Controller
;**********************************
; Load ini File
_LF OEM_SP2CtrlrMezz.ini
_LA FFF80000
_LV date
_LD

; Load Boot Burner
_LF PPC_BootBurner.bin
_LA FFE60000
_LV date
_LD

; Load Main program
_LF sp2ctrlr.bin
_LA FF000000
_LV date
_LD

; Load Controller FPGA program
_LF SP2C_FPGA.rbf
_LA FF200000
_LV date
_LD

; Load LCD program
_LF SP2C_ECMenus.pdb
_LA FF1C0000
_LV date
_LD


;**********************************
;*  ScreenPro-II
;**********************************
; Load SP Boot Burner
_LF sp_bootburner.bin
_LA FF640000
_LV date
_LD

; Load SP2 Main program
_LF ScreenPRO2.bin
_LA FF220000
_LV date
_LD

; Load SP2 ME FPGA
_LF SP2_ME_fpga.bit
_LA FF3e0000
_LV date
_LD

; Load SP2 SCLR A FPGA
_LF SP2_sclr.bit
_LA FF4e0000
_LV date
_LD

; Load SP2 KBD
_LF FP_FPGA.rbf
_LA FF5e0000
_LV date
_LD

; Load SP2 AMULET
_LF sP2ECMenus.pdb
_LA FF600000
_LV date
_LD

; Load SP2 EOC FPGA
_LF SP2_EOC.huf
_LA FED16000
_LV date
_LD

;**********************************
;*  PresentationPro-II
;**********************************
; Load PP2 AMULET
_LF PP2ECMenus.pdb
_LA FFf00000
_LV date
_LD

;**********************************
;*  OEM Files
;**********************************
; Load EAGLE200 CONTROLLER AMULET
_LF OEM_SP2C_ECMenus.pdb
_LA FEFC0000
_LV date
_LD

; Load EAGLE200 AMULET
_LF OEMSP2ECMenus.pdb
_LA FFec0000
_LV date
_LD

; Load EAGLE100 AMULET
_LF OEMPP2ECMenus.pdb
_LA FFf40000
_LV date
_LD

; Ensure Product String is Up to date
_TC "IIPC 0 A0^M"
_TC "ISPC 0 0 'EAGLE200 CONTROLLER'^M

_DM "Upload Complete."
